package com.zcloud.service.specheck;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.util.ReturnMap;

import java.util.List;

public interface SpecheckService {
    List<PageData> getCheckTask(Page page);

    List<PageData> getCheckItem(Page page);

    List<PageData> getCheckScore(Page page);

    void receiveCheckRecordList(PageData pageData);

    void reportedResult(PageData pageData);

    List<PageData> getRecordingList(Page page);

    PageData getHiddenInfo(PageData pageData);

    PageData getRecordInfo(PageData pageData);

    List<PageData> getReportingTask();

    List<PageData> getReportingHidden();

    void changStatusByBatchSql(PageData changeT2BatchStatus,PageData changeT3BatchStatus);

    void parsingTasksByHour();

    List<PageData> getCheckTaskdatalistPage(Page page);

    List<PageData> getCheckSource(Page page);

    void saveReceiveCheckRecordList(PageData pageData);

    ReturnMap reportCurrentRecord(PageData pageData);

    void editReceiveCheckRecordList(PageData pageData);

    void addHidden(PageData pd);

    void editHidden(PageData pd);

    void removeHidden(PageData pd);

    ReturnMap getTasksToChecked(PageData pageData);

}
